Package Details: multibootusb 9.2.0-4

Git Clone URL: https://aur.archlinux.org/multibootusb.git (read-only, click to copy)
Package Base: multibootusb
Description: Boot multiple live Linux distros from a usb flash drive.
Upstream URL: http://multibootusb.org
Keywords: multiboot multibootusb usb
Licenses: GPL
Submitter: Angel_Caido
Maintainer: DragonX256
Last Packager: DragonX256
Votes: 108
Popularity: 0.94
First Submitted: 2015-08-20 19:45
Last Updated: 2020-01-04 07:38

Pinned Comments

DragonX256 commented on 2020-01-04 07:36

Dropped pyqt5-common. About SyntaxWarning - it was fixed in this commit: https://github.com/mbusb/multibootusb/commit/0b71b418293f46c05be78e1afe5efaa31de409f9, but stable version with this fix wasn't released. Use GUI and multibootusb-pkexec instead, or install multibootusb-git to retrieve the latest available version with fix.

Latest Comments

« First ‹ Previous ... 2 3 4 5 6 7 8 9 10 Next › Last »

Angel_Caido commented on 2017-05-10 23:41

On Manjaro Xfce up-to-date, the GUI does not start.
When running multibootusb-pkexec on the terminal, I get the following:

Running multibootusb version 8.8.0 from installed system...
Starting multibootusb GUI...
Cleaning old multibootusb directory...
Syslinux exist in multibootusb directory...
Using pyudev for detecting USB drives...
/dev/sdf
/dev/sdg
/dev/sdh
/dev/sdi
Selected device /dev/sdf
fdisk: cannot open /dev/sdf: No medium found
Traceback (most recent call last):
File "/usr/lib/python3.6/site-packages/scripts/usb.py", line 406, in details
details = details_udev(usb_disk_part)
File "/usr/lib/python3.6/site-packages/scripts/usb.py", line 222, in details_udev
fdisk_cmd_out = subprocess.check_output('fdisk -l ' + usb_disk_part, shell=True)
File "/usr/lib/python3.6/subprocess.py", line 336, in check_output
**kwargs).stdout
File "/usr/lib/python3.6/subprocess.py", line 418, in run
output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command 'fdisk -l /dev/sdf' returned non-zero exit status 1.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3.6/site-packages/scripts/mbusb_gui.py", line 148, in onComboChange
config.usb_details = usb.details(config.usb_disk)
File "/usr/lib/python3.6/site-packages/scripts/usb.py", line 408, in details
details = details_udisks2(usb_disk_part)
File "/usr/lib/python3.6/site-packages/scripts/usb.py", line 281, in details_udisks2
mount_point = bd.Get('org.freedesktop.UDisks2.Filesystem', 'MountPoints', dbus_interface='org.freedesktop.DBus.Properties')
File "/usr/lib/python3.6/site-packages/dbus/proxies.py", line 145, in __call__
**keywords)
File "/usr/lib/python3.6/site-packages/dbus/connection.py", line 651, in call_blocking
message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.InvalidArgs: No such interface 'org.freedesktop.UDisks2.Filesystem'
/usr/sbin/multibootusb-pkexec: line 22: 4785 Aborted (core dumped) pkexec --disable-internal-agent "/usr/bin/multibootusb" "$@"

sundar_ima commented on 2017-05-10 17:24

Even if GUI does not start, people still can use commandline options. Source --> http://multibootusb.org/page_guide/#using-mltibootusb-command-line-options

sundar_ima commented on 2017-05-10 17:21

Tested on manjaro KDE with up to date system. With little trouble, I could figure out and solved the issue. Two packages "python-pyudev" (multibootusb specifc) and "dbus-x11" (KDE specific) have been added. Following PKGBUILD works absolutely fine for me and you may wish to update the package accordingly:

pkgname=multibootusb
pkgver=8.8.0
pkgrel=1
pkgdesc="Boot multiple live Linux distros from a usb flash drive."
arch=("any")
url="http://multibootusb.org"
license=("GPL")
depends=("python-pyqt5" "pyqt5-common" "python-dbus" "mtools" "util-linux" "parted" "p7zip" "python-six" "python-pyudev" "dbus-x11")
sha512sums=("585bb8a4641535f1811e7a48d4e0bab3353ae8f8e4ca319dcbfd8b45b474927b341a52d4eaee3c3587af657231d861fa5977b49cf000b9f878b601748efd87cc")
source=("https://github.com/mbusb/$pkgname/archive/v${pkgver}.tar.gz")


package () {
cd "$srcdir/$pkgname-$pkgver"
chmod 755 "$srcdir/$pkgname-$pkgver/data/multibootusb.desktop"
python3 setup.py install --root="$pkgdir/" --optimize=1
}

sundar_ima commented on 2017-05-10 12:38

@Angel_Caido, Can you post the full error message for investigation.

sundar_ima commented on 2017-05-10 12:36

Newer version 8.8.0 is released...

Angel_Caido commented on 2017-05-09 10:47

I haven't uploaded an updated PKGBUILD because I'm experiencing issues with the most recent version of multibootusb during testing. I get the error:

Starting multibootusb GUI...
QXcbConnection: Could not connect to display
/usr/sbin/multibootusb-pkexec: line 22: 11420 Aborted (core dumped) pkexec --disable-internal-agent "/usr/bin/multibootusb" "$@"

Any insights?

sundar_ima commented on 2017-04-29 17:40

Newer version 8.7.0 is released.

sundar_ima commented on 2017-04-23 12:10

Version 8.6.0 is released and python3-pyudev is added as dependency...

Angel_Caido commented on 2017-02-09 23:11

Bumped to 8.5.0

sundar_ima commented on 2017-02-05 10:52

Version 8.5.0 is released...